What browsers are compatible with TrainingPeaks?

If you are experiencing issues with loading the TrainingPeaks site, please check that you are running the latest version of your browser.

Here are the current latest browser versions that we recommend for the TrainingPeaks site:

Chrome 58.0 and newer

Safari 10.0.1 (works on 6.1 in 10.7 - Mountain Lion) and newer

Firefox 52.0 and newer

IE 11 and newer (Microsoft Edge is not compatible and may not display TrainingPeaks correctly)

Opera 45.0 and newer

Was this article helpful?
3 out of 4 found this helpful